# pydicom.dataelem.DataElement_from_raw

pydicom.dataelem.DataElement_from_raw(raw_data_element: RawDataElement, encoding: str | MutableSequence[str] | None = None, dataset: Dataset | None = None) → DataElement

  Return a `DataElement` created from raw_data_element.

  Deprecated since version 3.0: `DataElement_from_raw` will be removed in v4.0, use `convert_raw_data_element()` instead.

  Call the configured data_element_callbacks to do relevant pre/post-processing and convert values from raw to native types

  Parameters:

    - raw_data_element (pydicom.dataelem.RawDataElement) – The raw data to convert to a `DataElement`.

    - encoding (str | list[str] | None) – The character encoding of the raw data.

    - dataset (pydicom.dataset.Dataset | None) – If given, used to resolve the VR for known private tags.

  Returns:

    A `DataElement` instance created from raw.

  Return type:

    DataElement